clang-tools 6.0.0

Functions | Variables
clang::tidy::utils::options Namespace Reference

## Functions
std::vector< std::string > | parseStringList (StringRef Option)
| Parse a semicolon separated list of strings. More...
std::string | serializeStringList (ArrayRef< std::string > Strings)
| Serialize a sequence of names that can be parsed by `parseStringList`. More...

## Variables
static const char | StringsDelimiter [] = ";"

## Function Documentation

## ◆ parseStringList()

std::vector< std::string > clang::tidy::utils::options::parseStringList | ( | StringRef | Option | ) |

Parse a semicolon separated list of strings.

Definition at line 19 of file OptionsUtils.cpp.

References Name.

## ◆ serializeStringList()

std::string clang::tidy::utils::options::serializeStringList | ( | ArrayRef< std::string > | Strings | ) |

Serialize a sequence of names that can be parsed by `parseStringList`.

Definition at line 31 of file OptionsUtils.cpp.

Referenced by clang::tidy::google::runtime::NonConstReferences::storeOptions(), clang::tidy::bugprone::DanglingHandleCheck::storeOptions(), clang::tidy::performance::InefficientVectorOperationCheck::storeOptions(), clang::tidy::objc::ForbiddenSubclassingCheck::storeOptions(), clang::tidy::performance::FasterStringFindCheck::storeOptions(), clang::tidy::modernize::UseEmplaceCheck::storeOptions(), and clang::tidy::objc::PropertyDeclarationCheck::storeOptions().

## Variable Documentation

## ◆ StringsDelimiter

const char clang::tidy::utils::options::StringsDelimiter[] = ";"
| static

Definition at line 17 of file OptionsUtils.cpp.